# Class MailboxStoragePayload

#### Hierarchy

- unknown
  - MailboxStoragePayload

- Defined in src/protobuf/pb_pb.d.ts:2721
- Defined in src/protobuf/pb_pb.d.ts:2748

#####
Index

### Constructors

constructor

### Methods

clearExtraDataMap
clearPrefixedSealedAndSignedMessage
getExtraDataMap
getOwnerPubKeyBytes
getOwnerPubKeyBytes_asB64
getOwnerPubKeyBytes_asU8
getPrefixedSealedAndSignedMessage
getSenderPubKeyForAddOperationBytes
getSenderPubKeyForAddOperationBytes_asB64
getSenderPubKeyForAddOperationBytes_asU8
hasPrefixedSealedAndSignedMessage
serializeBinary
setOwnerPubKeyBytes
setPrefixedSealedAndSignedMessage
setSenderPubKeyForAddOperationBytes
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MailboxStoragePayload(): MailboxStoragePayload

- #### Returns MailboxStoragePayload

  Inherited from jspb.Message.constructor

## Methods

### clearExtraDataMap

- clearExtraDataMap(): MailboxStoragePayload

- #### Returns MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2738

### clearPrefixedSealedAndSignedMessage

- clearPrefixedSealedAndSignedMessage(): MailboxStoragePayload

- #### Returns MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2725

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2737

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2732

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2734

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2733

### getPrefixedSealedAndSignedMessage

- getPrefixedSealedAndSignedMessage(): undefined | PrefixedSealedAndSignedMessage

- #### Returns undefined | PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:2722

### getSenderPubKeyForAddOperationBytes

- getSenderPubKeyForAddOperationBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2727

### getSenderPubKeyForAddOperationBytes_asB64

- getSenderPubKeyForAddOperationBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2729

### getSenderPubKeyForAddOperationBytes_asU8

- getSenderPubKeyForAddOperationBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2728

### hasPrefixedSealedAndSignedMessage

- hasPrefixedSealedAndSignedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2724

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2740

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): MailboxStoragePayload

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2735

### setPrefixedSealedAndSignedMessage

- setPrefixedSealedAndSignedMessage(value?: PrefixedSealedAndSignedMessage): MailboxStoragePayload

- #### Parameters

  - ##### `Optional` value: PrefixedSealedAndSignedMessage

  #### Returns MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2723

### setSenderPubKeyForAddOperationBytes

- setSenderPubKeyForAddOperationBytes(value: string | Uint8Array): MailboxStoragePayload

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2730

### toObject

- toObject(includeInstance?: boolean): MailboxStoragePayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MailboxStoragePayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2741

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MailboxStoragePayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2744

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MailboxStoragePayload, reader: BinaryReader): MailboxStoragePayload

- #### Parameters

  - ##### message: MailboxStoragePayload

  - ##### reader: BinaryReader

  #### Returns MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2745

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MailboxStoragePayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MailboxStoragePayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2743

### `Static` toObject

- toObject(includeInstance: boolean, msg: MailboxStoragePayload): MailboxStoragePayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MailboxStoragePayload

  #### Returns MailboxStoragePayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2742

Generated using TypeDoc